Main Page Class Hierarchy Compound List File List Compound Members File Members

# kom.c File Reference

`#include <stdio.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include <kom.h>`

Go to the source code of this file.

## Compounds
struct | k_buf
## Defines
#define | MAXCRD 1024
#define | MAXBUF 4
## Functions
int | k_open (char *name)
int | k_close (void)
char * | k_get (void)
void | k_dump (void)
int | k_err (void)
int | k_int (void)
int | k_its (char *c)
long | k_long (void)
int | k_put (char *crd)
int | k_rd (void)
char * | k_com (void)
char * | k_str (void)
double | k_val (void)
## Variables
k_buf | com = {0L, 0, 0, 0, 0, "Virgin", "Virgin"}
k_buf | Kbuf [MAXBUF]
int | Nbuf = 0

## Define Documentation

#define MAXBUF 4

| Definition at line 51 of file kom.c. Referenced by k_open().

#define MAXCRD 1024

| Definition at line 40 of file kom.c.

## Function Documentation

int k_close | ( | void |  | ) |

| Definition at line 82 of file kom.c. References com, k_buf::fid, Kbuf, and Nbuf. Referenced by GetUtil_LoadTable(), site_load(), and wave_client_config().

char* k_com | ( | void |  | ) |

| Definition at line 262 of file kom.c. References com, and k_buf::csav.

void k_dump | ( | void |  | ) |

| Definition at line 108 of file kom.c. References com, and k_buf::crd.

int k_err | ( | void |  | ) |

| Definition at line 116 of file kom.c. References com, and k_buf::ierr. Referenced by GetUtil_LoadTable(), StringToAmp(), StringToAmpLine(), StringToLoc(), StringToPhaseLine(), StringToPick(), and wave_client_config().

char* k_get | ( | void |  | ) |

| Definition at line 100 of file kom.c. References com, and k_buf::crd.

int k_int | ( | void |  | ) |

| Definition at line 128 of file kom.c. References com, k_buf::ierr, and k_str(). Referenced by GetUtil_LoadTable(), site_com(), and wave_client_config().

int k_its | ( | char * | c | ) |

| Definition at line 149 of file kom.c. References com, k_buf::crd, and k_buf::istr. Referenced by GetUtil_LoadTable(), site_com(), t_com(), and wave_client_config().

long k_long | ( | void |  | ) |

| Definition at line 166 of file kom.c. References com, k_buf::ierr, and k_str(). Referenced by GetUtil_LoadTable(), StringToAmp(), StringToAmpLine(), StringToLoc(), StringToPhaseLine(), and StringToPick().

int k_open | ( | char * | name | ) |

| Definition at line 62 of file kom.c. References com, k_buf::fid, Kbuf, MAXBUF, and Nbuf. Referenced by GetUtil_LoadTable(), site_load(), and wave_client_config().

int k_put | ( | char * | crd | ) |

| Definition at line 187 of file kom.c. References com, k_buf::crd, k_buf::csav, k_buf::icrd, k_buf::ierr, k_buf::istr, and k_buf::ncrd. Referenced by StringToAmp(), StringToAmpLine(), StringToLoc(), StringToPhaseLine(), and StringToPick().

int k_rd | ( | void |  | ) |

| Definition at line 219 of file kom.c. References com, k_buf::crd, k_buf::csav, k_buf::fid, k_buf::icrd, k_buf::ierr, k_buf::istr, and k_buf::ncrd. Referenced by GetUtil_LoadTable(), site_load(), and wave_client_config().

char* k_str | ( | void |  | ) |

| Definition at line 270 of file kom.c. References com, k_buf::crd, k_buf::icrd, k_buf::ierr, k_buf::istr, and k_buf::ncrd. Referenced by GetUtil_LoadTable(), k_int(), k_long(), k_val(), site_com(), site_load(), StringToAmp(), StringToAmpLine(), StringToLoc(), StringToPhaseLine(), StringToPick(), and wave_client_config().

double k_val | ( | void |  | ) |

| Definition at line 317 of file kom.c. References com, k_buf::ierr, and k_str(). Referenced by site_com(), StringToAmp(), StringToAmpLine(), StringToLoc(), StringToPhaseLine(), StringToPick(), and t_com().

## Variable Documentation

struct k_buf com = {0L, 0, 0, 0, 0, "Virgin", "Virgin"}

| Definition at line 52 of file kom.c. Referenced by GetUtil_LoadTable(), k_close(), k_com(), k_dump(), k_err(), k_get(), k_int(), k_its(), k_long(), k_open(), k_put(), k_rd(), k_str(), k_val(), site_load(), and wave_client_config().

struct k_buf Kbuf[MAXBUF]

| Definition at line 53 of file kom.c. Referenced by k_close(), and k_open().

int Nbuf = 0

| Definition at line 54 of file kom.c. Referenced by k_close(), and k_open().